package safe_bool

import (
	"testing"
)

/*
	Тест для потокобезопасного булевого значения
*/

func TestSafeBool(t *testing.T) {
	sf := NewSafeBool()
	if sf == nil {
		t.Fatalf("safeBool==nil")
	}
	if sf.Get() {
		t.Fatalf("safeBool.Get==true")
	}
	sf.Set()
	if !sf.Get() {
		t.Fatalf("safeBool.Get==false")
	}
	sf.Reset()
	if sf.Get() {
		t.Fatalf("safeBool.Get==true")
	}
}
